Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Which Firmware? (New P3A)

Discussion in 'Pro/Adv Discussion' started by DaveB68, Feb 19, 2016.

  1. DaveB68

    Joined:
    Feb 18, 2016
    Messages:
    63
    Likes Received:
    12
    Guys

    Got my new P3A today, App is asking for Firmware update to the battery. Info from the App is I'm on:

    Aircraft 1.5.30+
    RC 1.5.7

    As a very newbie I take it by updating to the lastest FW 1.6.0040 (as on the DJI site) it will update the battery?

    RC is on current FW I believe?

    I take it 1.6.0040 is preferential to it's current FW?

    Apologies for the newbie Q's just dont want to bugger something up :)

    Cheers

    Dave
     
  2. jeremiah212

    Joined:
    Feb 1, 2016
    Messages:
    61
    Likes Received:
    32
    I haven't had any problems with the new fw on my p3p
    Yes it will update your battery as well


    Sent from my iPhone using PhantomPilots mobile app
     
  3. ferraript

    Joined:
    Feb 3, 2016
    Messages:
    228
    Likes Received:
    74
    Location:
    Slovakia/Kosice
    @DaveB68, as far as I know, after you update to 1.6, you will never be able to go back to 1.4, which is the last FW that has some "helpful bugs", for example you are able to go higher than 500 metres. And now while you are at 1.5, you can still downgrade to 1.4, 1.3, ...
     
  4. robinb

    Joined:
    May 10, 2014
    Messages:
    2,907
    Likes Received:
    503
    Location:
    A place in the sun
    1.5 has a lot of problems.

    Downgrade to 1.4 if you can.

    1.6 has geo which some may like, a lot dont.
     
  5. jeremiah212

    Joined:
    Feb 1, 2016
    Messages:
    61
    Likes Received:
    32

    Correct me if I'm wrong but geo fencing is in the dji go app, not the firmware.


    Sent from my iPhone using PhantomPilots mobile app
     
  6. robinb

    Joined:
    May 10, 2014
    Messages:
    2,907
    Likes Received:
    503
    Location:
    A place in the sun
    They are both linked. The firmware enables this in the app.
     
  7. bighi

    Joined:
    Oct 15, 2014
    Messages:
    454
    Likes Received:
    150
    Location:
    Gibraltar/Austria/Italy
    I like 1.4. Flies really good in it.
     
    Dirty Bird and robinb like this.
  8. DaveB68

    Joined:
    Feb 18, 2016
    Messages:
    63
    Likes Received:
    12
    Cheers guys, after reading further and being very new I bit the bullet and just upgraded. As it's a bit breezy today (not too bad) I only took her out for a quick test and she seems to fly fine. Hopefully get some proper flying in over the weekend and get above 20ft lol.

    Even though it was a quick test (and a bit nerve wracking) it looks like its gonna be fun :)

    Dave